Subject: Re: [PATCH net] vti: get rid of nf mark rule in prerouting

From: Brad Johnson <[email-masked]>
Date: Fri, 02 May 2014 08:57:48 -0500

When strongSwan is configured this way with mark values, the SA's and 
the SP's are configured with the mark. I can get this to work by 
manually deleting and re-adding the ip xfrm state without the mark after 
strongSwan connects. But is there any easier way to force the creation 
of the xfrm state with the "wildcard" mark (i.e. with no mark)?

Thanks,
Brad Johnson

 > -----Original Message-----
 > From: Christophe Gouault [mailto:christophe.gouault@xxxxxxxxx]
 > Sent: Tuesday, October 08, 2013 8:21 AM
 > To: netdev@xxxxxxxxxxxxxxx
 > Cc: David S. Miller; Cong Wang; Saurabh Mohan; Christophe Gouault
 > Subject: [PATCH net] vti: get rid of nf mark rule in prerouting
 >
 > This patch fixes and improves the use of vti interfaces (while 
lightly changing
 > the way of configuring them).
 >

> SAs have a wildcard mark.
> SPs have a mark equal to the vti interface o_key.